glibc and associated packages in incoming


Christopher C Chimelis (chris@classnet.med.miami.edu)
Tue, 16 Mar 1999 12:59:56 -0500 (EST)


Hi all...

I just uploaded glibc 2.1.1 and the other packages that needed
recompiling. The only one I had problems with was fakeroot, which is
needed since libtricks won't work under glibc 2.1.x yet (long story). I
think that fakeroot's problems may be easily fixed by an old patch that I
worked out when we were first porting fakeroot to Alphas, so expect that
uploaded soon as well. Bad news is, though, that we have nothing other
than sudo again until then :-(

At any rate, I found one or two problems that I need to tell everyone
about. First off, I think that the new glibc 2.1.1 *might* kill a
pre-existing mail transport package. I had smail in and now can't seem to
get mail off of my Alpha at all. This could be the intermediate host that
I'm going through, but I've seen a similar problem on x86's. I'm working
on recompiling sendmail and smail soon to see if the problem is solved
(maybe a reinstallation might do it too).

Also, package order is *super* important when installing these things.
Best thing that I've found to do is install the new libc6.1 and
libncurses4 debs together on one command line. This avoids a problem with
dpkg trying to work using a libncurses that's outdated.

Also, apt has been recompiled now. Please bang on it and make sure things
are ok with it. It's a new version, so I'm not sure if it breaks anything
or does anything different.

Anyway, my brain is fried. I'm going to go get some cheese popcorn :-)

Let the package compiling begin again :-)

C

--
To UNSUBSCRIBE, email to debian-alpha-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org



This archive was generated by hypermail 2.0b3 on Tue Mar 16 1999 - 11:00:25 PST